MONGOC_MATCHER_MATCH(3)

NAME
mongoc_matcher_match() - None

SYNOPSIS

bool
mongoc_matcher_match (const mongoc_matcher_t *matcher,
                      const bson_t           *document);

This function will check to see if the query compiled in matcher matches document \&.

DEPRECATED

NOTE
    mongoc_matcher_t is deprecated and will be removed in version 2.0.

PARAMETERS

matcher
    A mongoc_matcher_t \&.

query
    A bson_t that contains the query.

RETURNS

true if document matches the query specification provided to mongoc_matcher_new(3) \&. Otherwise, false \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.